/*****************************************************************************
 * ucb-bf533_w25q16jv_dpia.c
 *****************************************************************************/

#include <sys/platform.h>
#include "common/flash.h"

static const char *pEzKitTitle = "ACB-BF592";
extern struct flash_info w25q16jv_info;

static void s_bfin_clk_pll_set(uint16_t mul_val, uint16_t div_val)
{
    uint16_t l_prev_mul_val = (*pPLL_CTL >> 9) & 0x003Fu;

    if(l_prev_mul_val != mul_val)
    {
        *pSIC_IWR = IWR_ENABLE(0);              /* PLL̂IWR */
        *pPLL_CTL = (mul_val) << 9;
        asm("cli r0; csync; idle; sti r0;": : :"R0");
        *pSIC_IWR = IWR_ENABLE_ALL;
    }
    *pPLL_DIV = div_val;
}

static void dpia_init(void)
{
    flash_info = &w25q16jv_info;

    /* Disable DCPLBs*/
    *pDMEM_CONTROL = 0x1001;
    ssync();

    s_bfin_clk_pll_set(16, 4);
    return;
}

#include "common/dpia.c"
